PSTACK(1)

NAME
pstack - print stack traces of running processes

SYNOPSIS
pstack [-rv] pid [...]

DESCRIPTION
pstack uses expect to run gdb to attach to each process named by the pids on the command line, and output a backtrace for every thread in that process.

-r, --reverse
    toggles frame output order (initially frame 1 last)

-v, --verbose
    increases verbosity: shows interaction with gdb if given once, and expect diagnostics if given again

-v, --version
    print version and exit. -v only stands for --version when it is the sole argument

SUPPORTED PLATFORMS
pstack should run on any platform which has expect and gdb installed. So far, it is known to work on 32- and 64-bit Linux and Cygwin systems.

SEE ALSO
gdb(1), expect(1)

BUGS
For some processes on Linux32 systems (e.g. Firefox), gdb's backtrace command shows all program addresses as 0xffffffff. But, gdb's thread command shows frame 0 with its actual address. pstack therefore always shows frame 0 as reported by thread. This means the first line of each displayed stack dump has a from in it instead of an at.

AUTHOR
Written by Duncan Roe